[Unit]
Description=MyDemo App HTTP Server
After=network.target

# Uncomment for socket activation (see below)
#Requires=puma.socket

[Service]
Type=simple

User=ubuntu

WorkingDirectory=/home/ubuntu/websites/mydemo_app/current

ExecStart=/bin/bash -lc 'export RAILS_ENV=production && /home/ubuntu/.rvm/bin/rvm default do bundle exec puma -C /home/ubuntu/websites/mydemo_app/current/config/puma.rb'
ExecStop=/bin/bash -lc 'export RAILS_ENV=production && cd /home/ubuntu/websites/mydemo_app/current && bundle exec pumactl -S puma.state stop'
PIDFile=/home/ubuntu/websites/mydemo_app/current
Restart=always

[Install]
WantedBy=multi-user.target